<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:jaxrs="http://cxf.apache.org/jaxrs-client"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://cxf.apache.org/jaxrs-client http://cxf.apache.org/schemas/jaxrs-client.xsd">

	<!-- Utilisation des providers par défaut cf. ge-core-web -->
	<alias name="defaultRestProviders" alias="restProviders"/>

    <!-- Definition of rest service for get back office records -->
   <jaxrs:client id="recordBOService" address="${mas.nash.service.url}" serviceClass="fr.ge.record.ws.v1.rest.IRecordBOService">
        <jaxrs:providers>
            <ref bean="restProviders" />
        </jaxrs:providers>
        <jaxrs:features>
            <ref bean="nashFeature" />
        </jaxrs:features>
    </jaxrs:client> 
    <jaxrs:client id="recordService" address="${mas.nash.service.url}" serviceClass="fr.ge.common.nash.ws.v1.service.IRecordService">
        <jaxrs:providers>
            <ref bean="restProviders" />
        </jaxrs:providers>
        <jaxrs:features>
            <ref bean="nashFeature" />
        </jaxrs:features>
    </jaxrs:client>

	<!-- Definition of directory rest service -->
    <jaxrs:client id="authorityRestService" address="${mas.directory.service.url}" serviceClass="fr.ge.directory.ws.v1.service.IAuthorityService">
        <jaxrs:providers>
            <ref bean="restProviders" />
        </jaxrs:providers>
    </jaxrs:client>
    
    <!-- Definition of proxy_payment rest service -->
     <jaxrs:client id="bankTransferRestService" address="${ws.proxy.payment.url}" serviceClass="fr.ge.common.payment.service.IBankTransferService">
        <jaxrs:providers>
            <ref bean="restProviders" />
        </jaxrs:providers>
    </jaxrs:client>
    
    <jaxrs:client id="authorityUserRightsRestService" address="${ws.directory.private.url}" serviceClass="fr.ge.directory.ws.v1.service.AuthorityServicesWebService">
        <jaxrs:providers>
            <ref bean="restProviders" />
        </jaxrs:providers>
        <jaxrs:features>
            <ref bean="nashFeature" />
        </jaxrs:features>
    </jaxrs:client>
    
</beans>
